#define KitLED 2 // APP-ESS14-2 : D8
#define KitWakeupHardware 11 // APP-ESS14-2
#define KitWakeupSoftware 12 // APP-ESS14-2
#define CMD_MLDP 13 // APP-ESS14-2

void setup()
{                
  pinMode(PIN_LED1, OUTPUT);     
  pinMode(PIN_LED2, OUTPUT);     
  pinMode(KitLED, OUTPUT);     
  pinMode(KitWakeupHardware, OUTPUT);     
  pinMode(KitWakeupSoftware, OUTPUT);
  pinMode(CMD_MLDP, OUTPUT);
  Serial1.begin(115200);  
}

void loop() 
{
  digitalWrite(KitWakeupHardware, HIGH);
  digitalWrite(KitWakeupSoftware, HIGH);
  digitalWrite(CMD_MLDP, LOW);
  Serial1.print("SF,2\r\n");
  Serial1.print("SR,30000800\r\n");
  Serial1.print("R,1\r");
  digitalWrite(CMD_MLDP, HIGH);

  while(1)
  {
    digitalWrite(PIN_LED2, HIGH);
    digitalWrite(KitLED, HIGH);
    delay(500);

    digitalWrite(PIN_LED2, LOW);
    digitalWrite(KitLED, LOW);
    delay(500);
    Serial1.print("This Message from ChipKIT uC32!\r\n");
  }
}



